package cn.com.infosec.jce.provider;

import cn.com.infosec.util.CollectionStore;
import cn.com.infosec.util.Selector;
import cn.com.infosec.x509.X509CollectionStoreParameters;
import cn.com.infosec.x509.X509StoreParameters;
import cn.com.infosec.x509.X509StoreSpi;
import java.util.Collection;

public class X509StoreCRLCollection extends X509StoreSpi {
   private CollectionStore _store;

   public void engineInit(X509StoreParameters params) {
      if (params instanceof X509CollectionStoreParameters) {
         this._store = new CollectionStore(((X509CollectionStoreParameters)params).getCollection());
      } else {
         throw new IllegalArgumentException(params.toString());
      }
   }

   public Collection engineGetMatches(Selector selector) {
      return this._store.getMatches(selector);
   }
}
